# MVC Application

[![Build Status](https://travis-ci.org/joemccann/dillinger.svg?branch=master)](https://travis-ci.org/joemccann/dillinger)
### A Flutter Framework using the MVC Design Pattern

**Installing**
I don't always like the version number suggested in the '[Installing](https://pub.dev/packages/mvc_application#-installing-tab-)' page.
Instead, always go up to the '**major**' semantic version number when installing my library packages. This means always entering a version number trailing with two zero, '**.0.0**'. This allows you to take in any '**minor**' versions introducing new features as well as any '**patch**' versions that involves bugfixes. Semantic version numbers are always in this format: **major.minor.patch**. 

1. **patch** - I've made bugfixes
2. **minor** - I've introduced new features
3. **major** - I've essentially made a new app. It's broken backwards-compatibility and has a completely new user experience.  You won't get this version until you increment the **major** number in the pubspec.yaml file.

And so, in this case, add this to your package's pubspec.yaml file instead:
```javascript
dependencies:
   mvc_application:^1.0.0
```
For more information on this topic, read the article, [The importance of semantic versioning](https://medium.com/@xabaras/the-importance-of-semantic-versioning-9b78e8e59bba).

Please, turn to the article, [MVC in Flutter](https://medium.com/@greg.perry/mvc-in-flutter-part-1-51d5eba081a3), for now for more inforamtion.
[![MVCFlutter](https://user-images.githubusercontent.com/32497443/61597533-758cf080-abd7-11e9-8f76-8d6b45d26b0c.png)](https://medium.com/@greg.perry/mvc-in-flutter-part-1-51d5eba081a3)

A secondary article is, [A Design Pattern for Flutter](https://medium.com/flutter-community/flutter-mvc-at-last-275a0dc1e730), and the article, [Flutter Faster!](https://medium.com/flutter-community/flutter-mvc-at-last-275a0dc1e730)
[![MVCArticles](https://user-images.githubusercontent.com/32497443/61597695-2e9ffa80-abd9-11e9-94b1-8c6f2254607e.png)](https://medium.com/@greg.perry)

For more information on the MVC in Flutter read, [‘Flutter + MVC at Last!’](https://medium.com/p/275a0dc1e730/)
[![online article](https://user-images.githubusercontent.com/32497443/47087365-c9524f80-d1e9-11e8-85e5-6c8bbabb18cc.png)](https://medium.com/flutter-community/flutter-mvc-at-last-275a0dc1e730)